Skip to main content
GET
List file segments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

file_id
string<uuid>
required

The ID of the file

Query Parameters

start_time_after
number

Filter segments by start time

Required range: x >= 0
end_time_before
number

Filter segments by end time

Required range: x >= 0
min_duration
number

Filter segments with duration greater than or equal to this value (in seconds)

Required range: x >= 0
max_duration
number

Filter segments with duration less than or equal to this value (in seconds). Must be greater than or equal to min_duration when both are provided.

Required range: x >= 0
limit
integer

Number of segments to return

Required range: 1 <= x <= 100
offset
integer

Offset from the start of the list

Required range: x >= 0

Response

List of segments

object
enum<string>
required

Object type, always 'list'

Available options:
list
data
object[]
required
total
integer
required

The total number of items

limit
integer
required

The number of items per page

offset
integer
required

The offset of the items